# boost::numeric::ublas::matrix_expression< E > Class Template Reference

Base class for Matrix Expression models. More...

Inherits boost::numeric::ublas::ublas_expression< E >.

List of all members.

## Public Types

typedef E | expression_type
typedef matrix_tag | type_category

## Public Member Functions

BOOST_UBLAS_INLINE const expression_type & | operator() () const
BOOST_UBLAS_INLINE expression_type & | operator() ()

## Static Public Attributes

static const unsigned | complexity = 0

## Detailed Description

### template<class E>
class boost::numeric::ublas::matrix_expression< E >

it does not model the Matrix Expression concept but all derived types should. The class defines a common base type and some common interface for all statically derived Matrix Expression classes We implement the casts to the statically derived type.